/* 
Theme Name: Nesso
Theme URI: https://github.com/elementor/hello-theme-child/
Description: Nesso
Author: Nesso
Author URI: https://nesso.vn/
Template: hello-elementor
Version: 1.0.1.9.1
Text Domain: Nesso
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: 
*/
:root {
  --scrollbar-width: 0px;
  --full-bleed-margin: 0px;
}
body{
  padding-top: 80px
}
#site-header {
  box-shadow:
    11px 11px 15px rgba(209, 209, 209, 0.09),
    3px 3px 8px rgba(209, 209, 209, 0.1);
  backdrop-filter: blur(20px);
  padding: 10px 0px;
  position: fixed;
  z-index: 9;
  top: 0px;
  left: 0px;
  right: 0px;
  -webkit-backdrop-filter: blur(12px) saturate(1.5);
  backdrop-filter: blur(12px) saturate(1.5);
  margin: 0 auto;
  background: #fff;
  /* height: 100%; */
}

.site-header .site-navigation ul.menu li.current-menu-item a {
  color: #111;
}
#menu-primary-menu .contact-btn a {
  font-size: 18px;
  border: 1px solid #111;
  border-radius: 10px;
  padding: 8px 34px !important;
  margin-left: 15px;

  transition: all 0.35s cubic-bezier(.4,0,.2,1);
}

#menu-primary-menu .contact-btn a:hover {
  background: linear-gradient(256.72deg, #FFFFFF -149.84%, #000000 97.61%);
  color: #fff;
  transform: translateY(-3px);
  box-shadow: 0 3px 10px rgba(0,0,0,0.25);
}
.site-navigation ul.menu li a {
  display: block;
  padding: 8px 22px;
}

/* Loading overlay */
.loading-overlay {
  position: fixed;
  inset: 0;
  background: #fff;
  z-index: 999999;
  display: flex;
  align-items: center;
  justify-content: center;
  opacity: 1;
  transition: opacity 0.8s ease-out;
  pointer-events: none;
  height: 100vh;
}

.loading-overlay.fade-out {
  opacity: 0;
}

.loading-overlay.hidden {
  display: none;
}

.loading-logo {
  max-width: 409px;
  width: 90vw;
  max-height: 126px;
  height: auto;
  object-fit: contain;
}

@keyframes pulse {
  0%,
  100% {
    transform: scale(1);
  }
  50% {
    transform: scale(1.04);
  }
}

footer .elementor-element h4 {
  font-weight: 400 !important;
  font-size: 16px;
  margin-bottom: 5px;
}

.hero-container {
  width: 100%;
  margin: 0 auto;
}
.hero-text {
  display: flex;
  justify-content: space-between;
  width: 100%;
  font-size: 10vw;
  line-height: 1;
  transform-origin: center;
  font-weight: 200;
  color: #111;
}
.stretch-section {
  padding-bottom: 6rem;
}

#about-swiper .swiper-slide {
  width: auto;
  height: auto;
  flex-shrink: 0;
}
#about-swiper .swiper-slide img {
  display: block;
  width: 100%;
  height: auto;
  max-height: 425px;
  object-fit: cover;
}

.flex-solid .e-con:before {
  border-left: 1px solid #ddd;
  content: " ";
  height: 100%;
  left: -1px;
  position: absolute;
  top: 0;
}
.flex-solid .e-con:after {
  border-bottom: 1px solid #ddd;
  bottom: -1px;
  content: " ";
  height: 0;
  left: 0;
  position: absolute;
  top: auto;
  width: 100%;
}
.flex-solid .e-con-inner {
  overflow: hidden;
}

.team-header h1 {
  width: 30%;
}

#team-table th:nth-child(1),
#team-table td:nth-child(1) {
  width: 30%;
}
#team-table th:nth-child(2) {
  width: 75%;
  min-width: 100%;
}
#team-table td:nth-child(2) {
  width: 40%;
}
#team-table td:nth-child(3) {
  /* text-align: left; */
  width: 30%;
}
#team-table th:nth-child(3),
#team-table th:nth-child(4),
#team-table td:nth-child(4) {
  display: none;
}
#team-table th {
  border: 0px;
  text-align: left;
  font-weight: 400;
  font-size: 20px;
  color: #111;
}

#team-table td {
  background: #fff;
  border: 0px;
  border-bottom: 1px solid #ddd;
  color: #111;
  font-size: 1em;
  font-weight: 400;
}

#image-tooltip {
  pointer-events: none;
  display: none;
  position: sticky;
  top: 15em;
}
.relative .elementor-element {
  position: relative;
  height: 100%;
}
.site-navigation-toggle-holder .site-navigation-toggle {
  background: transparent;
  padding: 0px;
  position: relative;
  width: 44px;
  height: 44px;
}
.site-navigation-toggle-holder .site-navigation-toggle-icon:before {
  box-shadow: none;
  margin-block-end: 0rem;
}
.site-navigation-toggle-icon::before {
  top: -7px;
}
.site-navigation-toggle-icon::after {
  bottom: -7px;
}
.site-navigation-toggle-icon {
  background-color: currentColor;
  border-radius: 3px;
  content: "";
  display: block;
  height: 1px;
  transition: all 0.2s ease-in-out;
  position: relative;
}
.site-navigation-toggle[aria-expanded="true"] .site-navigation-toggle-icon {
  background: transparent;
}
.site-navigation-toggle[aria-expanded="true"]
  .site-navigation-toggle-icon::before {
  top: 0;
  transform: rotate(45deg) !important;
}
.site-navigation-toggle[aria-expanded="true"]
  .site-navigation-toggle-icon::after {
  bottom: 0;
  transform: rotate(-45deg) !important;
}
.site-navigation-toggle-holder .site-navigation-toggle-icon:after,
.site-navigation-toggle-holder .site-navigation-toggle-icon:before {
  height: 1px;
  position: absolute;
  left: 0;
  width: 100%;
}
.site-navigation-dropdown ul.menu li.current-menu-item a {
  background: transparent;
  color: #111;
}
.site-navigation-dropdown ul.menu li a {
  box-shadow: none;
  color: #4d4c4c;
  padding: 10px 0px;
  background: transparent;
}
.email-subscribe {
  display: flex;
}
.email-subscribe input {
  border: 0px;
}
.email-subscribe {
  border-bottom: 1px solid #ebebeb;
}
.email-subscribe [type="submit"] {
  /* font-size: 0px; */
  border: 0px;
  color: #333;
}
.site-header .header-inner,
.e-con.e-parent.e-con-boxed {
  padding-left: 3rem;
  padding-right: 3rem;
}
.site-header .header-inner {
  width: 100rem;
  max-width: 100rem;
}
.title-service {
  display: flex;
  align-items: center;
  gap: 3rem;
  flex-wrap: wrap;
}

.title-service h2 {
  font-size: 45px;
  margin: 0;
  white-space: nowrap;
  position: relative;
}

.device-title {
  content: "";
  display: block;
  width: 1px;
  height: 4rem;
  background-color: #7d7d7d;
  transform: rotate(15deg);
}
.contact-page input[type="email"],
.contact-page input[type="text"],
input[type="url"],
select,
textarea {
  background: transparent;
  padding: 10px 0px;
  border: 0px;
  border-bottom: 1px solid #7d7d7d;
  border-radius: 0px;
  margin-bottom: 25px;
}
.contact-page textarea {
  background: #eaeaea;
  padding: 15px;
  border-bottom: 0px;
  max-height: 150px;
  margin-top: 15px;
  margin-bottom: 0px;
}
.wpcf7-list-item {
  margin-left: 0px;
  padding: 15px 0px;
}
.wpcf7-list-item label {
  line-height: 1.25;
  display: flex;
  align-items: center;
  gap: 10px;
  justify-content: space-around;
}
[type="checkbox"],
[type="radio"] {
  width: 30px;
  height: 30px;
  display: flex;
}
.contact-page [type="submit"] {
  background: #000;
  color: #fff;
  border: 0px;
  width: 100%;
  margin-top: 15px;
}
.contact-page [type="button"]:hover,
.contact-page [type="submit"]:hover,
.contact-page button:hover {
  background: #111;
}
.wpcf7-list-item-label a {
  color: #7d7d7d;
  font-weight: 500;
}
.wpa-test-msg {
  display: none;
}
.contact-text {
  display: block;
  color: #000000 !important;
  font-weight: 400;
  margin-top: 10px;
}
.elementor-image-gallery .gallery-item {
  height: 100%;
  vertical-align: middle;
  
}
.elementor-image-gallery .gallery-item img{
  max-width: 120px;
  filter: brightness(0.5);
  transition: filter 0.5s ease;
}
.elementor-image-gallery .gallery-item:hover img{

  filter: brightness(1);
}
.social-proof {
  display: flex;
  align-items: start;
  gap: 12px;
  width: fit-content;
}

.avatars {
  display: flex;
  align-items: center;
  height: 100%;
}

.avatars img {
  width: 38px;
  height: 38px;
  border-radius: 50%;
  object-fit: cover;
  margin-left: -12px;
  align-items: center;
  display: flex;
  /* padding-top: 0px; */
}

.avatars img:first-child {
  margin-left: 0px;
}

.info {
  display: flex;
  flex-direction: column;
  gap: 2px;
}

.stars {
  display: flex;
  gap: 2px;
  /* max-height: 16px; */
}

.stars span {
  color: #f5a623;
  font-size: 12px;
  line-height: 14px;
}

.info p {
  color: #fff;
  font-size: 12px;
  margin: 0;
  white-space: nowrap;
  line-height: 12px;
}
.flag-tittle {
  background: rgba(255, 255, 255, 0.1);
  border: 0.5px solid #727272;
  border-radius: 5px;
  display: inline-block;
  padding: 8px 14px;
}
.accordion-block .e-n-accordion-item-title[aria-expanded="flase"] {
  opacity: 1;
  transform: translateY(0);
  transition:
    opacity 0.5s,
    transform 0.5s,
    display 0.5s;
  transition-behavior: allow-discrete;
}
.accordion-block .e-n-accordion-item-title[aria-expanded="true"] {
  opacity: 0;
  transform: translateY(20px);
  display: none;
}
.accordion-block.elementor-widget-n-accordion .e-n-accordion-item {
  border-bottom: 1px solid #7d7d7d;
  margin-bottom: 15px;
}
.price-plan {
  display: flex;
  gap: 10px;
  margin-bottom: 15px;
}
.price-plan strong {
  font-weight: 500;
  color: #111;
  font-size: 18px;
}
.price-wrap {
  display: flex;
  gap: 10px;
  align-items: baseline;
  margin-top: 30px;
}
.price-wrap .text-price {
  font-size: 40px;
  color: #111;
  font-weight: 600;
}
.price-lists {
  padding-left: 0px;
  list-style: none;
}
.price-lists li {
  margin-bottom: 12px;
}
.price-lists li:before {
  content: "";
  width: 10px;
  height: 10px;
  background: #fff;
  border-radius: 100%;
  display: inline-block;
  border: 3px solid #111;
  margin-right: 5px;
}
.price-lists li:before,
.price-block .elementor-widget-button .elementor-button,
.price-block {
  transition:
    background-color 0.5s ease-in-out,
    color 0.5s ease-in-out;
}
.price-block:hover {
  background: #000 !important;
}
.price-block:hover .elementor-widget-button .elementor-button {
  background: #fff;
  color: #111;
}
.price-block .price-plan strong,
.price-block div,
.price-block li,
.price-block p {
  transition: color 0.5s ease;
}

.price-block:hover .price-plan strong,
.price-block:hover div,
.price-block:hover li,
.price-block:hover p {
  color: #fff !important;
}
.price-block:hover .price-lists li:before {
  border-color: #fff;
  background: #111;
}
.price-block .elementor-widget-button {
  margin-top: auto;
}
.nav-btn {
  border: 0px;
  /* color: #111 !important; */
  background: #111;
}
.slide-header {
  display: flex;
  align-items: flex-start;
  gap: 2em;
}
.slide-header .title-service h2 {
  font-size: 32px;
}
.nav-group {
  margin-left: auto;
  display: flex;
  align-items: center;
  gap: 12px;
  flex-shrink: 0;
}
.subtitle-blog-heading,
.service-sub-title {
  max-width: 500px;
}
.portfolio-table {
  margin-top: 30px;
}
table.portfolio-table tbody > tr > td,
table.portfolio-table tbody > tr > th {
  background-color: transparent;
  border: 0px;
  border-bottom: 1px solid #111;
  padding-left: 0px;
  text-align: left;
  color: #111;
  font-weight: 600;
}
.d-block {
  display: block;
}
.category-page-wrapper {
  display: flex;
  margin: 60px 0px;
  gap: 3em;
  justify-content: start;
}
.category-header {
  display: flex;
  justify-content: space-between;
  justify-items: center;
  margin-bottom: 30px;
}
.category-sidebar {
  width: 20%;
}
.category-main {
  width: 80%;
}

.blog-grid,
.related-blog-grid,
.next-project-grid {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 3em;
}
.related-blog-grid {
  grid-template-columns: repeat(3, 1fr);
}
.related-blog-item .related-blog-categories a,
.related-blog-grid,
.related-blog-grid .related-blog-categories a,
.next-project-category {
  color: #7d7d7d;
}
.related-blog-item .related-blog-post-title a,
.related-blog-grid .related-blog-post-title a {
  color: #111;
  font-size: 20px;
  font-weight: 500;
}
.next-project-link {
  display: block;
  text-decoration: none;
  color: inherit;
}
.related-blog-post-title {
  margin-top: 0px;
}
.related-blog-thumb,
.next-project-thumbnail {
  overflow: hidden;
  aspect-ratio: 16 / 9;
  background: #f0f0f0;
  margin-bottom: 16px;
  display: block;
}
.related-blog-thumb img,
.next-project-thumbnail img.next-project-img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  display: block;
  transition: transform 0.5s ease;
}
.related-blog-thumb:hover img,
.next-project-link:hover .next-project-img {
  transform: scale(1.04);
}
.related-blog-item {
  display: block;
}
.next-project-no-thumb {
  width: 100%;
  height: 100%;
  background: #e0e0e0;
}

.next-project-title {
  padding: 1em 0px;
}
.related-blog-title {
  border-bottom: 1px solid #ddd;
  padding-bottom: 15px;
  margin-bottom: 30px;
}

/* Filter tabs */
.portfolio-category-filter {
  margin-bottom: 30px;
}
.filter-tabs {
  list-style: none;
  padding: 0;
  display: flex;
  flex-wrap: wrap;
  gap: 1em;
  margin-top: 60px;
}
.filter-tabs li a {
  display: block;
  border-radius: 30px;
  text-decoration: none;
  color: #7d7d7d;
  transition: 0.3s;
}
.filter-tabs li a.active {
  color: #000;
}

/* Pagination */
.pagination {
  margin-top: 60px;
}
.pagination ul {
  list-style: none;
  padding: 0;
  display: inline-flex;
  gap: 1.5em;
}
.pagination a,
.pagination span {
  display: block;
  text-decoration: none;
  color: #7d7d7d;
}
.pagination .current {
  color: #111;
}
.portfolio-featured-slider {
  position: relative;
  width: 100%;
  overflow: hidden;
}
.portfolio-slider {
  width: 100%;
  height: 600px;
}
.portfolio-slider .swiper-slide {
  position: relative;
  overflow: hidden;
}
.slide-background {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 1;
}

.slide-background img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: center;
  font-family: "object-fit: cover; object-position: center;";
}

.slide-overlay {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 2;
  display: flex;
  align-items: center;
  background: rgba(0, 0, 0, 0.3);
}

.slide-content {
  width: 100%;
  max-width: 100%;
  margin: 0 auto;
  padding: 0 15px;
  display: flex;
  padding: 0px 3rem;
}

.slide-text {
  max-width: 600px;
  color: #fff;
  position: absolute;
  bottom: 1em;
}

h2.slide-title {
  color: #fff;
}

.portfolio-slider .swiper-pagination {
  position: absolute;
  /* right: 0px; */
  bottom: 1em;
  width: auto;
  display: inline-block;
  left: auto;
  right: 3rem;
}
.portfolio-slider .swiper-pagination-bullet {
  background: #fff;
  opacity: 0.6;
  width: 1em;
  border-radius: 3px;
  height: 5px;
}

.portfolio-slider .swiper-pagination-bullet-active {
  opacity: 1;
  background: #fff;
  width: 3em;
  border-radius: 3px;
  height: 5px;
}
.post-header {
  max-width: 660px;
  margin: 0 auto;
  text-align: center;
  margin-top: 60px;
  margin-bottom: 60px;
}
.post-meta {
  display: inline-block;
  background: #f6f6f6;
  padding: 7px 15px;
  border-radius: 5px;
  font-size: 12px;
  color: #7d7d7d;
}
.post-meta a {
  color: #7d7d7d;
}
.related-blog-wrap {
  background: #f6f6f6;
  padding: 45px 0px;
}
.related-tag-wrap {
  width: 50%;
  margin-left: auto;
  margin-bottom: 60px;
}
h3.sidebar-heading,
h3.share-article-title,
h3.related-link-title {
  font-size: 20px;
  font-weight: 400;
  text-transform: uppercase;
}
.category-list,
.related-link-list {
  list-style: none;
  padding-left: 0px;
}
.cat-item a {
  color: #7d7d7d;
  margin-bottom: 1em;
  display: flex;
}
.related-link-list li a {
  color: #111;
  display: flex;
  justify-content: space-between;
  padding: 1em 0px;
  border-top: 1px solid #ddd;
}
.share-article {
  margin-top: 60px;
}
.share-article-title {
  display: flex;
  gap: 5px;
  align-items: center;
  /* justify-content: flex-end; */
  position: relative;
  margin-bottom: 15px;
}
.share-article-title:after {
  content: "";
  height: 1px;
  width: 100%;
  background: #ddd;
}
.share-article-title span {
  min-width: 30%;
}
.share-article-icons .a2a_kit {
  display: flex;
  gap: 12px;
}

.share-article-icons .a2a_kit a {
  display: flex !important;
  align-items: center;
  justify-content: center;
  width: 38px !important;
  height: 38px !important;
  border-radius: 50% !important;
  background-color: #f0f0f0 !important;
  padding: 0 !important;
}
.a2a_svg.a2a_s__default {
  background: transparent !important;
}

.a2a_default_style .a2a_svg {
  width: 26px !important;
  height: 26px !important;
  filter: grayscale(100%) brightness(0.4);
}

.search-form {
  /* display: inline-block; */
  align-items: center;
  border: 1px solid #5c5c5c;
  border-radius: 10px;
  padding: 5px 10px;
  background-color: #fff;
  min-width: 50%;
  position: relative;
  max-height: 50px;
}

.search-form .search-field {
  flex: 1;
  border: none;
  outline: none;
  color: #5c5c5c;
  background: transparent;
  font-family: inherit;
  display: block;
  /* padding: 0px; */
  margin-right: 15px;
}

.search-form .search-field::placeholder {
  color: #aaa;
}

.search-form .search-submit {
  border: none;
  background: transparent;
  cursor: pointer;
  padding: 0;
  display: flex;
  align-items: center;
}

.search-form .search-submit {
  text-indent: -9999px;
  width: 20px;
  height: 20px;
  background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='20' height='20' viewBox='0 0 24 24' fill='none' stroke='%23333' stroke-width='2' stroke-linecap='round' stroke-linejoin='round'%3E%3Ccircle cx='11' cy='11' r='8'/%3E%3Cline x1='21' y1='21' x2='16.65' y2='16.65'/%3E%3C/svg%3E");
  background-repeat: no-repeat;
  background-position: center;
  background-size: contain;
  position: absolute;
  right: 15px;
  top: 50%;
  transform: translate(-50%, -50%);
}
.search-form label {
  width: 100%;
}
.blog-heading {
  margin: 60px 0px;
}
[type=submit]:hover,
button:focus:not(:focus-visible),
button:hover {
  background-color: transparent;
  color: unset;
  text-decoration: none;
}

/* ---------- Swiper ---------- */
.trending-articles {
  position: relative;
}
.ta-swiper {
  overflow: hidden;
}

/* ---------- Slide: 50 / 50 ---------- */
.ta-slide__inner {
  display: grid;
  grid-template-columns: 50% 50%;
  min-height: 320px;
}

.ta-slide__thumb-link {
  display: block;
  overflow: hidden;
  height: 100%;
}

.ta-slide__thumb {
  width: 100%;
  height: 100%;
  object-fit: cover;
  display: block;
  transition: transform 0.4s ease;
}

.ta-slide__inner:hover .ta-slide__thumb {
  transform: scale(1.03);
}

.ta-slide__content {
  display: flex;
  flex-direction: column;
  gap: 5px;
  padding: 30px 60px;
  background: #f6f6f6;
}

.ta-slide__meta {
  display: flex;
  align-items: center;
  gap: 6px;
}
.ta-slide__meta a {
  color: #7d7d7d;
}
.ta-slide__meta-sep {
  color: #ccc;
}

.ta-slide__cat {
  color: #777;
  text-decoration: none;
  transition: color 0.15s;
}
.ta-slide__cat:hover {
  color: #111;
}
.ta-slide__heading {
  font-size: 30px;
}
.ta-slide__heading a {
  color: inherit;
  text-decoration: none;
}
.ta-slide__heading a:hover {
  opacity: 0.7;
}

.ta-footer {
  display: flex;
  align-items: center;
  justify-content: space-between;
  /* padding: 0 2px; */
  position: absolute;
  bottom: 2em;
  width: 45%;
  margin-left: auto;
  right: 2em;
  z-index: 9;
}

.ta-pagination {
  display: flex;
  align-items: center;
  gap: 6px;
}

.ta-pagination .swiper-pagination-bullet {
  width: 26px;
  height: 2px;
  border-radius: 2px;
  background: #ccc;
  opacity: 1;
  margin: 0 !important;
  transition:
    background 0.2s,
    width 0.2s;
  display: inline-block;
}

.ta-pagination .swiper-pagination-bullet-active {
  width: 34px;
  background: #111;
}

.ta-nav {
  display: flex;
  align-items: center;
  gap: 16px;
}

.ta-btn-prev,
.ta-btn-next {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  background: none;
  border: none;
  padding: 0;
  cursor: pointer;
  color: #111 !important;
  transition: opacity 0.2s;
  line-height: 1;
}

.ta-btn-prev:hover,
.ta-btn-next:hover {
  opacity: 0.4;
}

.ta-btn-prev.swiper-button-disabled,
.ta-btn-next.swiper-button-disabled {
  opacity: 0.2;
  cursor: not-allowed;
  pointer-events: none;
}

/* ===== MEGA MENU CHO PORTFOLIO ===== */
.site-navigation ul.menu li.menu-item-has-children::after {
  content: "";
  background: url('./images/arrow-down.svg');
  width: 10px;
  height: 10px;
  background-size: contain;
  /* background-color: #111; */
  position: absolute;
  right: 15px;
  bottom: 15px;
  background-repeat: no-repeat;
}
#menu-primary-menu .menu-item-has-children  {
    position: relative;
}

#menu-primary-menu > .menu-item-has-children  > .sub-menu {
    display: none;
    position: absolute;
    top: 100%;
    left: -400px;
    width: 800px;
    background: #fff;
    box-shadow: 0 10px 30px rgba(0,0,0,0.1);
    padding: 30px;
    z-index: 999;
    border-radius: 8px;
    flex-wrap: wrap;
    gap: 60px;
    /* display: flex; */
}

#menu-primary-menu > .menu-item-has-children:hover > .sub-menu {
    display: flex;
}

#menu-primary-menu .menu-item-has-children  > .sub-menu > .menu-item {
    flex: 1 1 200px;
    list-style: none;
    margin: 0;
    padding: 0;
    flex-direction: column;
    border: 0px;
    /* padding: 30px; */
}

#menu-primary-menu > .menu-item-has-children  > .sub-menu > .menu-item > a {
    /* font-weight: 500; */
    font-size: 1.25em;
    color: #111;
    display: block;
    margin-bottom: 10px;
    text-decoration: none;
    pointer-events: auto;
    flex-grow: unset;
    padding: 0px;
}

#menu-primary-menu .menu-item-has-children  .sub-menu .sub-menu {
    display: block !important;
    position: static !important;
    box-shadow: none !important;
    background: transparent !important;
    padding: 0 !important;
    margin: 0 !important;
    opacity: 1 !important;
    visibility: visible !important;
    /* margin-right: 5em; */
}

#menu-primary-menu > .menu-item-has-children .sub-menu .sub-menu li {
    margin: 0 0 12px 0;
    padding: 0;
    border: 0px;
}

#menu-primary-menu > .menu-item-has-children  .sub-menu .sub-menu a {
    display: inline-block;
    color: #8F8F8F;
    text-decoration: none;
    position: relative;
    transition: color 0.2s;
    padding: 0px;
}
.site-navigation ul.menu li ul li.menu-item-has-children:after{
  display:none
}
#menu-primary-menu .menu-item-has-children .sub-menu .sub-menu:after{
    content: "";
    display: block;
    width: 1px;
    height: 100%;
    background-color: #939090;
    transform: rotate(12deg);
    position: absolute;
    right: 0px;
    top: 0;
}
#menu-primary-menu .menu-item-has-children .menu-item:last-child .sub-menu:after{
  display: none
}

/* ---------- Responsive ---------- */
@media (max-width: 768px) {
  .ta-slide__inner {
    grid-template-columns: 1fr;
    grid-template-rows: 220px auto;
  }

  .ta-slide__content {
    padding: 15px 20px;
    min-height: 180px;
  }
}
@media (min-width: 850px) {
  .admin-bar #site-header {
    top: 32px;
  }
}
@media (max-width: 940px) {
  .title-service {
    gap: 1rem;
  }
  .slide-body {
    grid-template-columns: 1fr;
    gap: 32px;
  }
  .slide-header {
    flex-wrap: wrap;
  }
  .nav-group {
    width: 100%;
    justify-content: flex-end;
  }
  .portfolio-slider {
    height: 320px;
  }
}

@media (max-width: 575px) {
  .ta-footer {
    width: 90%;
    right: 5%;
    left: 5%;
  }
  .share-article-title span {
    min-width: 50%;
  }
  .elementor-image-gallery .gallery.gallery-columns-3 .gallery-item {
    max-width: 30%;
  }
  .elementor-image-gallery .gallery.gallery-columns-3 {
    justify-content: center !important;
    overflow: hidden;
    margin: 0px auto !important;
    text-align: center;
  }
  .related-tag-wrap {
    width: 100%;
  }
  .blog-grid,
  .related-blog-grid,
  .next-project-grid {
    grid-template-columns: 1fr;
  }
  .category-page-wrapper {
    gap: 1em;
    flex-direction: column;
  }
  .category-main,
  .category-sidebar {
    width: 100%;
  }
  .e-con.e-parent.e-con-boxed {
    padding-left: 0rem;
    padding-right: 0rem;
  }
  .category-page-wrapper,
  .related-tag-wrap,
  .next-project-section .e-con.e-parent,
  .related-blog.e-con.e-parent,
  .e-con.e-parent.e-con-boxed .e-con-inner > .elementor-widget-text-editor {
    padding-left: 10px;
    padding-right: 10px;
  }
  .blog-heading,
  .slide-content,
  .page-header .entry-title,
  .site-footer .footer-inner,
  .site-footer:not(.dynamic-footer),
  .site-header .header-inner,
  .site-header:not(.dynamic-header),
  body:not([class*="elementor-page-"]) .site-main {
    padding-inline-end: 1rem;
    padding-inline-start: 1rem;
  }
  #site-header.stuck {
    left: 1rem;
    right: 1rem;
    width: min(40ch, calc(100% - 2rem));
  }
  .category-header {
    flex-wrap: wrap;
    flex-direction: column;
  }
  .portfolio-slider .swiper-pagination {
    right: 1em;
  }

  .mobile-nav-overlay {
    position: fixed;
    inset: 0;
    z-index: 9;
    background: rgba(0, 0, 0, 0.25);
    backdrop-filter: blur(6px);
    -webkit-backdrop-filter: blur(6px);
    opacity: 0;
    pointer-events: none;
    transition: opacity 250ms ease-out;
  }
  .mobile-nav-overlay.active {
    opacity: 1;
    pointer-events: auto;
  }

  #site-header.menu-is-open {
    background: #fff;
  }
  .site-navigation-dropdown ul.menu,
  .site-navigation-dropdown {
    position: relative;
    background: unset;
  }
  .site-navigation-toggle-holder {
    padding: 8px 0px;
  }
  #primary .container {
    padding-left: 10px;
    padding-right: 10px;
  }
}
